www.cendio.com
Bug 4666 - Difficult to "double click" with HTML5 client on iPad
: Difficult to "double click" with HTML5 client on iPad
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-05-29 10:08 by
Modified: 2013-10-24 10:56 (History)
Acceptance Criteria:


Attachments
Allow for double click to happen even if the second click is a slight bit off (1.94 KB, patch)
2013-06-25 18:26, Samuel Mannehed
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-05-29 10:08:46
It is somewhat difficult to "double click" with the HTML5 client on iPads,
since you are not hitting the same pixels. We could consider avoiding moving
the mouse cursor directly after a click, or something like that. Check
upstream.
------- Comment #1 From cendio 2013-06-25 18:26:19 -------
Created an attachment (id=481) [details]
Allow for double click to happen even if the second click is a slight bit off

Fixed in the attached patch file.
Made a pull request to the noVNC project on github:
https://github.com/kanaka/noVNC/pull/272
------- Comment #2 From cendio 2013-07-08 17:44:52 -------
Fixed in revision 27630.
------- Comment #3 From cendio 2013-07-11 12:45:24 -------
Updated in revision 27660.
------- Comment #4 From cendio 2013-10-21 14:22:27 -------
Double-clicking seemed easy enough on an iPad during my tests. Closing.